# Created by pyp2rpm-3.3.4
%global pypi_name asttokens

Name:           python-%{pypi_name}
Version:        2.2.1
Release:        %mkrel 1
Summary:        Annotate AST trees with source code positions
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/gristlabs/asttokens
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(astroid)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%description
The asttokens module annotates Python abstract syntax trees (ASTs) with the
positions of tokens and text in the source code that generated them.

It makes it possible for tools that work with logical AST nodes to find the
particular text that resulted in those nodes, for example for automated
refactoring or highlighting.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 2.2.1

%description -n python3-%{pypi_name}
The asttokens module annotates Python abstract syntax trees (ASTs) with the
positions of tokens and text in the source code that generated them.

It makes it possible for tools that work with logical AST nodes to find the
particular text that resulted in those nodes, for example for automated
refactoring or highlighting.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc tests/testdata/README.md README.rst
%doc html


%changelog
* Sun Jan 15 2023 wally <wally> 2.2.1-1.mga9
+ Revision: 1933521
- new version 2.2.1

* Wed Oct 26 2022 papoteur <papoteur> 2.0.8-2.mga9
+ Revision: 1899445
- disable test with astroid
+ neoclust <neoclust>
- New version 2.0.8

* Tue Mar 29 2022 umeabot <umeabot> 2.0.5-3.mga9
+ Revision: 1832931
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.0.5-2.mga9
+ Revision: 1785767
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 2.0.5-1.mga9
+ Revision: 1742847
- new version 2.0.5

* Wed Mar 24 2021 tv <tv> 2.0.4-2.mga9
+ Revision: 1708893
- Ignore failing tests
- rebuild for python 3.9

* Wed Apr 22 2020 kekepower <kekepower> 2.0.4-1.mga8
+ Revision: 1571005
- imported package python-asttokens

